Documentation Index

Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt

Use this file to discover all available pages before exploring further.

View all method settings for stage

Prev Next

Available in Classic and VPC

View all method settings information for a specified stage.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
GET /api/v1/products/{product-id}/apis/{api-id}/stages/{stage-id}/deployments/{deployment-no}/resources/{resource-id}/methods

Request headers

For information about the headers common to all API Gateway APIs, see API Gateway request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
product-id String Required Product ID that the stage belongs to
api-id String Required ID of the API that the stage belongs to
stage-id String Required ID of the stage whose method settings you want to view
deployment-no Long Required Deployment number of the stage
resource-id String Required Resource ID of the stage

Request example

The following is a sample request.

curl --location --request GET 'https://apigateway.apigw.ntruss.com/api/v1/products/***ksk9***/apis/***51hs***/stages/***26c7***/deployments/256***/resources/***cd4q***/methods' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

The following describes the response format.

Response syntax

The response syntax is as follows.

{
    "stageMethods" : [ {
        "resourceId" : "resourceId",
        "endpointCode" : "endpointCode",
        "resourcePath" : "resourcePath",
        "methodName" : "ANY",
        "isInherit" : true,
        "methodCode" : "methodCode",
        "endpointDomain" : "endpointDomain",
        "cacheTtlSec" : 0,
        "restUrl" : "restUrl",
        "throttleRps" : 1,
        "endpointActionId" : "endpointActionId",
        "invokeUrl" : "invokeUrl",
        "stageDeploymentNo" : 6,
        "endpointConfigJson" : "endpointConfigJson"
  } ]
}

Response status codes

For information about the HTTP status codes common to all API Gateway APIs, see API Gateway response status codes.

Response example

The following is a sample response.

{
    "stageMethods": [
        {
            "stageDeploymentNo": 256***,
            "methodName": "GET",
            "methodCode": "0001",
            "resourceId": "***cd4q***",
            "endpointCode": "0006",
            "endpointConfigJson": "{\"stream\":false,\"method\":\"GET\",\"url\":\"/{domainCode}\"}",
            "endpointDomain": "https://test.test12***",
            "isInherit": true
        }
    ]
}